Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have Acer Aspire V3-772G laptop with NVIDIA GeForce GT 750M. I had a 13.04 with windows 8 until recently and all works fine. But when I try to install 13.10 from usb it crashes during boot. According to logs the reason is that nouveau driver doesn't support my video card and therefore X server can't start. So how can I replace nouveau driver in ISO image with proprietary NVIDIA driver?

I tried to download 331.20 NVIDIA driver (.run), set up nomodeset and when the error occurred, I took these steps:

  1. Rename downloaded file nvidia.run (for convenience) and move it t my home directory
  2. Install libraries for compiling things: sudo apt-get install build-essential linux-headers-uname -r
  3. Reset xorg.conf to basic state: sudo dpkg-reconfigure -phigh xserver-xorg

  4. Turn off Display Manager: sudo /etc/init.d/mdm stop

  5. Run nvidia installer: sudo sh nvidia.run (And the driver 331.20 - really installed (so I can see libglx.so.331.20 in /usr/lib/xorg/modules/extensions))
  6. rename origin libglx.so to libglx.so.orig, and libglx.so.331.20 to libglx.so (make a link with ln -s)
  7. sudo /etc/init.d/mdm start

and I still see the same. Error: "Failed to start X server...." and "(EE) Screen(s) found, but none have a usable configuration..."

Can anybody tell me how to correctly install ubuntu 13.10 on my laptop? Thanks for advance...

P.S. Here is my log:

[    27.278] 
X.Org X Server 1.14.3
Release Date: 2013-09-12
[    27.278] X Protocol Version 11, Revision 0
[    27.278] Build Operating System: Linux 3.2.0-37-generic x86_64 Ubuntu
[    27.278] Current Operating System: Linux mint 3.11.0-12-generic #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC 2013 x86_64
[    27.278] Kernel command line: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/linuxmint.seed boot=casper iso-scan/filename= quiet splash -- nomodeset
[    27.278] Build Date: 15 October 2013  09:23:37AM
[    27.278] xorg-server 2:1.14.3-3ubuntu2 (For technical support please see http://www.ubuntu.com/support) 
[    27.278] Current version of pixman: 0.30.2
[    27.278]    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
[    27.278] Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    27.278] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Feb 22 18:31:05 2014
[    27.278] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    27.278] (==) No Layout section.  Using the first Screen section.
[    27.278] (==) No screen section available. Using defaults.
[    27.278] (**) |-->Screen "Default Screen Section" (0)
[    27.278] (**) |   |-->Monitor "<default monitor>"
[    27.278] (==) No monitor specified for screen "Default Screen Section".
    Using a default monitor configuration.
[    27.278] (==) Automatically adding devices
[    27.278] (==) Automatically enabling devices
[    27.278] (==) Automatically adding GPU devices
[    27.278] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    27.278]    Entry deleted from font path.
[    27.278] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    27.278]    Entry deleted from font path.
[    27.278] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    27.278]    Entry deleted from font path.
[    27.278] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    27.278]    Entry deleted from font path.
[    27.278] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    27.278]    Entry deleted from font path.
[    27.278] (==) FontPath set to:
    /usr/share/fonts/X11/misc,
    /usr/share/fonts/X11/Type1,
    built-ins
[    27.278] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[    27.278] (II) The server relies on udev to provide the list of input devices.
    If no devices become available, reconfigure udev or disable AutoAddDevices.
[    27.278] (II) Loader magic: 0x7f7d55074d20
[    27.278] (II) Module ABI versions:
[    27.278]    X.Org ANSI C Emulation: 0.4
[    27.278]    X.Org Video Driver: 14.1
[    27.278]    X.Org XInput driver : 19.1
[    27.278]    X.Org Server Extension : 7.0
[    27.279] (--) PCI:*(0:0:2:0) 8086:0416:1025:0781 rev 6, Mem @ 0xd3000000/4194304, 0xc0000000/268435456, I/O @ 0x00005000/64
[    27.279] (--) PCI: (0:1:0:0) 10de:0fe4:1025:0781 rev 161, Mem @ 0xd2000000/16777216, 0xa0000000/268435456, 0xb0000000/33554432, I/O @ 0x00004000/128, BIOS @ 0x????????/524288
[    27.279] (II) Open ACPI successful (/var/run/acpid.socket)
[    27.279] Initializing built-in extension Generic Event Extension
[    27.279] Initializing built-in extension SHAPE
[    27.279] Initializing built-in extension MIT-SHM
[    27.279] Initializing built-in extension XInputExtension
[    27.279] Initializing built-in extension XTEST
[    27.279] Initializing built-in extension BIG-REQUESTS
[    27.279] Initializing built-in extension SYNC
[    27.279] Initializing built-in extension XKEYBOARD
[    27.279] Initializing built-in extension XC-MISC
[    27.279] Initializing built-in extension SECURITY
[    27.279] Initializing built-in extension XINERAMA
[    27.279] Initializing built-in extension XFIXES
[    27.279] Initializing built-in extension RENDER
[    27.279] Initializing built-in extension RANDR
[    27.279] Initializing built-in extension COMPOSITE
[    27.279] Initializing built-in extension DAMAGE
[    27.279] Initializing built-in extension MIT-SCREEN-SAVER
[    27.279] Initializing built-in extension DOUBLE-BUFFER
[    27.279] Initializing built-in extension RECORD
[    27.279] Initializing built-in extension DPMS
[    27.279] Initializing built-in extension X-Resource
[    27.279] Initializing built-in extension XVideo
[    27.279] Initializing built-in extension XVideo-MotionCompensation
[    27.279] Initializing built-in extension SELinux
[    27.279] Initializing built-in extension XFree86-VidModeExtension
[    27.279] Initializing built-in extension XFree86-DGA
[    27.279] Initializing built-in extension XFree86-DRI
[    27.279] Initializing built-in extension DRI2
[    27.279] (II) "glx" will be loaded by default.
[    27.279] (WW) "xmir" is not to be loaded by default. Skipping.
[    27.279] (II) LoadModule: "dri2"
[    27.279] (II) Module "dri2" already built-in
[    27.279] (II) LoadModule: "glamoregl"
[    27.279] (II) Loading /usr/lib/xorg/modules/libglamoregl.so
[    27.280] (II) Module glamoregl: vendor="X.Org Foundation"
[    27.280]    compiled for 1.14.2.901, module version = 0.5.1
[    27.280]    ABI class: X.Org ANSI C Emulation, version 0.4
[    27.280] (II) LoadModule: "glx"
[    27.280] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    27.280] (II) Module glx: vendor="X.Org Foundation"
[    27.280]    compiled for 1.14.3, module version = 1.0.0
[    27.280]    ABI class: X.Org Server Extension, version 7.0
[    27.280] (==) AIGLX enabled
[    27.280] Loading extension GLX
[    27.280] (==) Matched intel as autoconfigured driver 0
[    27.280] (==) Matched vesa as autoconfigured driver 1
[    27.280] (==) Matched modesetting as autoconfigured driver 2
[    27.280] (==) Matched fbdev as autoconfigured driver 3
[    27.280] (==) Assigned the driver to the xf86ConfigLayout
[    27.280] (II) LoadModule: "intel"
[    27.280] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[    27.280] (II) Module intel: vendor="X.Org Foundation"
[    27.280]    compiled for 1.14.3, module version = 2.99.904
[    27.280]    Module class: X.Org Video Driver
[    27.280]    ABI class: X.Org Video Driver, version 14.1
[    27.280] (II) LoadModule: "vesa"
[    27.280] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    27.280] (II) Module vesa: vendor="X.Org Foundation"
[    27.280]    compiled for 1.14.1, module version = 2.3.2
[    27.280]    Module class: X.Org Video Driver
[    27.280]    ABI class: X.Org Video Driver, version 14.1
[    27.280] (II) LoadModule: "modesetting"
[    27.281] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    27.281] (II) Module modesetting: vendor="X.Org Foundation"
[    27.281]    compiled for 1.14.1, module version = 0.8.0
[    27.281]    Module class: X.Org Video Driver
[    27.281]    ABI class: X.Org Video Driver, version 14.1
[    27.281] (II) LoadModule: "fbdev"
[    27.281] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    27.281] (II) Module fbdev: vendor="X.Org Foundation"
[    27.281]    compiled for 1.14.1, module version = 0.4.3
[    27.281]    Module class: X.Org Video Driver
[    27.281]    ABI class: X.Org Video Driver, version 14.1
[    27.281] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
    i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
    915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
    Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
    GM45, 4 Series, G45/G43, Q45/Q43, G41, B43, HD Graphics,
    HD Graphics 2000, HD Graphics 3000, HD Graphics 2500,
    HD Graphics 4000, HD Graphics P4000, HD Graphics 4600,
    HD Graphics 5000, HD Graphics P4600/P4700, Iris(TM) Graphics 5100,
    HD Graphics 4400, HD Graphics 4200, Iris(TM) Pro Graphics 5200
[    27.281] (II) VESA: driver for VESA chipsets: vesa
[    27.281] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[    27.281] (II) FBDEV: driver for framebuffer: fbdev
[    27.281] (++) using VT number 8

[    27.286] (WW) Falling back to old probe method for modesetting
[    27.286] (EE) open /dev/dri/card0: No such file or directory
[    27.286] (WW) Falling back to old probe method for fbdev
[    27.286] (II) Loading sub module "fbdevhw"
[    27.286] (II) LoadModule: "fbdevhw"
[    27.286] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[    27.286] (II) Module fbdevhw: vendor="X.Org Foundation"
[    27.286]    compiled for 1.14.3, module version = 0.0.2
[    27.286]    ABI class: X.Org Video Driver, version 14.1
[    27.286] (II) Loading sub module "vbe"
[    27.286] (II) LoadModule: "vbe"
[    27.286] (II) Loading /usr/lib/xorg/modules/libvbe.so
[    27.286] (II) Module vbe: vendor="X.Org Foundation"
[    27.286]    compiled for 1.14.3, module version = 1.1.0
[    27.286]    ABI class: X.Org Video Driver, version 14.1
[    27.286] (II) Loading sub module "int10"
[    27.286] (II) LoadModule: "int10"
[    27.287] (II) Loading /usr/lib/xorg/modules/libint10.so
[    27.287] (II) Module int10: vendor="X.Org Foundation"
[    27.287]    compiled for 1.14.3, module version = 1.0.0
[    27.287]    ABI class: X.Org Video Driver, version 14.1
[    27.287] (II) VESA(0): initializing int10
[    27.287] (EE) VESA(0): V_BIOS address 0x0 out of range
[    27.287] (II) UnloadModule: "vesa"
[    27.287] (II) UnloadSubModule: "int10"
[    27.287] (II) Unloading int10
[    27.287] (II) UnloadSubModule: "vbe"
[    27.287] (II) Unloading vbe
[    27.287] (EE) Screen(s) found, but none have a usable configuration.
[    27.287] (EE) 
Fatal server error:
[    27.287] (EE) no screens found(EE) 
[    27.287] (EE) 
Please consult the The X.Org Foundation support 
     at http://wiki.x.org
 for help. 
[    27.287] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    27.287] (EE) 
[    27.292] (EE) Server terminated with error (1). Closing log file.
share|improve this question
    
the driver you are trying to compile it's actually not the latest for your video card look here geforce.com/drivers –  JohnnyEnglish Feb 23 at 15:30
    
I was trying with 331.49 driver, but result is the same –  user251422 Feb 23 at 19:24
    
as I remember it's beta driver. And how are you installing where do you get stuck? What tutorial are you using? –  JohnnyEnglish Feb 23 at 19:27
    
no actually it's not beta my mistake :-) –  JohnnyEnglish Feb 23 at 19:29
    
follow my workaround in my answer (marked red) it does work –  JohnnyEnglish Feb 23 at 19:30
add comment

2 Answers 2

take a look at this solution there's also a workout provided by me.

to install without X GUI from Console:

jockey-text -l
jockey-text -e xorg:nvidia_current

or in the Graphical GUI:

Open Settings/Additional Drivers

to install proprietary driver in Terminal (Ctrl+Alt+T) or better tty (Ctrl+Alt+F1):

sudo apt-get install nvidia-current

after proprietary driver installation's complete don't forget to configure X:

sudo nvidia-xconfig

and start Nvidia settings:

gksudo nvidia-settings

if you need or want to remove Nouveau and the rest of Nvidia currently installed on your system take a look at marked solution.

share|improve this answer
    
I can't do sudo apt-get install nvidia-current cause i can't set up internet connection by wpa_supplicant. I shows ioctl [SIOCSIWENCODEEXT] Invalid Argument error –  user251422 Feb 23 at 18:38
    
what do you mean you can't? –  JohnnyEnglish Feb 23 at 18:41
    
you need to make sure and tell whether you want to use proprietary driver or Nvidia latest? –  JohnnyEnglish Feb 23 at 18:43
    
I want to replace nouveau driver with nvidia, so i can go on with installation. For this purpose I download drivers and trying to install them during installation. I can't do it automaticaly because of wpa connection problems. –  user251422 Feb 23 at 19:33
    
follow my tutorial in my answer marked solution –  JohnnyEnglish Feb 23 at 19:34
show 3 more comments

I have the same problems as you, so I made myself a little paper note which I keep near my computer, and that note contains this:

  • create new internet connection (only for wired connections)

sudo pppoeconf

  • follow on-screen instructions
  • activate recently created internet connection

pon dsl-provider

  • add Nvidia ppa and install Nvidia drivers

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current nvidia-settings

  • reboot your computer
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.